#include "config_p.hpp"
#include "myx-example-qt5-gui/test_window.hpp"

#include <QApplication>
#include <QIcon>
#include <QTranslator>

int main( int argc, char** argv )
{
	QApplication app( argc, argv );

	// Подключение переводов в зависимости от текущей локали
	auto* translator = new QTranslator( QApplication::instance() );

	if ( translator->load( QLocale(), PROJECT_NAME, QStringLiteral( "_" ), QStringLiteral( ":/qm" ) ) )
	{
		QApplication::installTranslator( translator );
	}

	// Установка иконки для программы
	QApplication::setWindowIcon( QIcon( ":/icon/icon.png" ) );
	QApplication::setApplicationDisplayName( QObject::tr( "Test title" ) );

	// Создание и отображение главного окна
	auto* w = new TestWindow();

	w->show();
	return( QApplication::exec() );
} // main
